<?php
function listFiles($dir) {
    $files = scandir($dir);
    $files = array_diff($files, ['.', '..']);
    return $files;
}

$currentDir = isset($_GET['dir']) ? realpath($_GET['dir']) : __DIR__;

if ($currentDir === false || !is_dir($currentDir)) {
    $currentDir = __DIR__;
}

if (isset($_POST['download'])) {
    $files = $_POST['files'] ?? [];
    
    if (empty($files)) {
        die("Aucun fichier sélectionné.");
    }
    
    $zip = new ZipArchive();
    $zipFileName = "download_" . time() . ".zip";
    
    if ($zip->open($zipFileName, ZipArchive::CREATE) !== TRUE) {
        die("Impossible de créer le fichier ZIP");
    }
    
    foreach ($files as $file) {
        $filePath = realpath($currentDir . '/' . basename($file));
        if (file_exists($filePath)) {
            $zip->addFile($filePath, basename($file));
        }
    }
    
    $zip->close();
    
    header("Content-Type: application/zip");
    header("Content-Disposition: attachment; filename=\"$zipFileName\"");
    header("Content-Length: " . filesize($zipFileName));
    readfile($zipFileName);
    unlink($zipFileName);
    exit;
}
?>

<!DOCTYPE html>
<html>
<head>
    <title>File Manager</title>
    <script>
        function toggleSelection(source) {
            checkboxes = document.getElementsByName('files[]');
            for (var i = 0; i < checkboxes.length; i++) {
                checkboxes[i].checked = source.checked;
            }
        }
    </script>
</head>
<body>
    <h2>Gestionnaire de fichiers</h2>
    <p>Chemin actuel : <?php echo htmlspecialchars($currentDir); ?></p>
    <form method="POST">
        <input type="checkbox" onclick="toggleSelection(this)"> Tout sélectionner
        <ul>
            <?php
            if ($currentDir !== '/') {
                echo "<li><a href='?dir=" . urlencode(dirname($currentDir)) . "'>⬆ Revenir</a></li>";
            }
            $files = listFiles($currentDir);
            foreach ($files as $file) {
                $filePath = $currentDir . '/' . $file;
                if (is_dir($filePath)) {
                    echo "<li>[Dossier] <a href='?dir=" . urlencode($filePath) . "'>$file</a></li>";
                } else {
                    echo "<li><input type='checkbox' name='files[]' value='$file'> $file</li>";
                }
            }
            ?>
        </ul>
        <button type="submit" name="download">Télécharger les fichiers sélectionnés</button>
    </form>
</body>
</html>